Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
查询图片、视频以及后续音频等异步任务状态。
/v1/tasks/{task_id}
curl https://apiany.ai/v1/tasks/task_123 \ -H "Authorization: Bearer $APIANY_API_KEY"
pending
processing
completed
failed
expired
result
result.data[0].url
{ "task_id": "task_123", "status": "completed", "model": "gpt-image-2", "type": "image", "result": { "created": 1781597831, "data": [ { "url": "https://s.apiany.ai/.../result.png" } ] }, "error": null }
result.video_url
result.audio_url
result.urls[]
{ "task_id": "task_456", "status": "completed", "model": "seedance-2.0", "type": "video", "result": { "status": "completed", "video_url": "https://s.apiany.ai/.../result.mp4", "urls": ["https://s.apiany.ai/.../result.mp4"] }, "error": null }
{ "task_id": "task_123", "status": "failed", "error": { "type": "service_error", "message": "任务未能完成。" } }